//Client1.h
#ifndef CLIENT1_H_INCLUDED
#define CLIENT1_H_INCLUDED
#define dim(x)                     (sizeof(x) / sizeof(x[0]))
#define sizeof_ptr                 sizeof(void*)
#define IDC_STATIC                  -1
#define IDC_GET_DATA                1500
#define IDC_GET_SELECTED_ROW        1505
#define IDC_GET_ROW_COUNT           1510
#define IDC_SET_ROW_COUNT           1515
#define IDC_GET_HCELL               1520
#define IDC_COLOR_SOME_ROWS         1525
#define IDC_UNLOAD_GRID             1530
#define NUMBER_OF_ROWS              12
#define NUMBER_OF_COLUMNS           5

struct                              WindowsEventArguments
{
 HWND                               hWnd;
 WPARAM                             wParam;
 LPARAM                             lParam;
 HINSTANCE                          hIns;
};

typedef WindowsEventArguments*      lpWndEventArgs;

long fnWndProc_OnCreate             (lpWndEventArgs Wea);
long fnWndProc_OnCommand            (lpWndEventArgs Wea);
long fnWndProc_OnDestroy            (lpWndEventArgs Wea);

struct EVENTHANDLER
{
 unsigned int                       iMsg;
 long                               (*fnPtr)(lpWndEventArgs);
};

const EVENTHANDLER EventHandler[]=
{
 {WM_CREATE,                        fnWndProc_OnCreate},
 {WM_COMMAND,                       fnWndProc_OnCommand},
 {WM_DESTROY,                       fnWndProc_OnDestroy}
};

#endif // CLIENT1_H_INCLUDED
